Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161095 - CAN-2005-1992 ruby arbitrary command execution on XMLRPC server
Summary: CAN-2005-1992 ruby arbitrary command execution on XMLRPC server
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: ruby
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Akira TAGOH
QA Contact: Bill Huang
URL:
Whiteboard: public=20050617,impact=moderate,sourc...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-20 15:26 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHSA-2005-543
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-05 13:31:35 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:543 normal SHIPPED_LIVE Moderate: ruby security update 2005-08-05 04:00:00 UTC

Description Josh Bressers 2005-06-20 15:26:08 UTC
I ran across this issue in the Debian BTS:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=315064
http://blade.nagaokaut.ac.jp/cgi-bin/scat.rb/ruby/ruby-core/5237

It seems that by executing an XMLRPC server in ruby in this manner:
s.add_handler(XMLRPC::iPIMethods("sample")

It becomes possible to execute any arbitrary commands within the XMLRPC
server.

Comment 7 Stefan Neufeind 2005-07-12 20:17:16 UTC
Attaching a note to the gentoo-advisory - I think it's related. Version in
FC3/FC4 are also affected - should we file a related bugs for those?

http://www.gentoo.org/security/en/glsa/glsa-200507-10.xml

Comment 8 Stefan Neufeind 2005-07-12 20:31:50 UTC
It seems Debian ships with a fix?

http://www.debian.org/security/2005/dsa-748

Comment 10 Red Hat Bugzilla 2005-08-05 13:31:35 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-543.html



Note You need to log in before you can comment on or make changes to this bug.